Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1293058 - Review Request: nodejs-fs2 - Node.js fs (file system package) extensions
Summary: Review Request: nodejs-fs2 - Node.js fs (file system package) extensions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1044425 1292429
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-12-19 18:01 UTC by Piotr Popieluch
Modified: 2016-05-27 20:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-27 20:59:22 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Piotr Popieluch 2015-12-19 18:01:09 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-fs2.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-fs2-0.2.3-1.fc23.src.rpm
Description: Node.js fs (file system package) extensions
Fedora Account System Username: piotrp

Comment 1 Tom Hughes 2016-01-02 11:59:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 96 files have
     unknown license. Detailed output of licensecheck in /home/tom/1293058
     -nodejs-fs2/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/tom/1293058-nodejs-fs2/results/nodejs-fs2-0.2.3-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/compton-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/tom/1293058-nodejs-fs2/results/nodejs-fs2-0.2.3-1.fc24.noarch.rpm


Rpmlint
-------
Checking: nodejs-fs2-0.2.3-1.fc24.noarch.rpm
          nodejs-fs2-0.2.3-1.fc24.src.rpm
nodejs-fs2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fs2.noarch: W: spelling-error Summary(en_US) fs -> sf, gs, fa
nodejs-fs2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fs2.noarch: W: spelling-error %description -l en_US fs -> sf, gs, fa
nodejs-fs2.noarch: W: only-non-binary-in-usr-lib
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/memoizee /usr/lib/node_modules/memoizee
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/deferred /usr/lib/node_modules/deferred
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/event-emitter /usr/lib/node_modules/event-emitter
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/es5-ext /usr/lib/node_modules/es5-ext
nodejs-fs2.noarch: W: dangling-symlink /usr/lib/node_modules/fs2/node_modules/d /usr/lib/node_modules/d
nodejs-fs2.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-fs2.src: W: spelling-error Summary(en_US) fs -> sf, gs, fa
nodejs-fs2.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-fs2.src: W: spelling-error %description -l en_US fs -> sf, gs, fa
2 packages and 0 specfiles checked; 0 errors, 15 warnings.




Requires
--------
nodejs-fs2 (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(d)
    npm(deferred)
    npm(es5-ext)
    npm(event-emitter)
    npm(memoizee)
    npm(minimatch)



Provides
--------
nodejs-fs2:
    nodejs-fs2
    npm(fs2)



Source checksums
----------------
https://registry.npmjs.org/fs2/-/fs2-0.2.3.tgz :
  CHECKSUM(SHA256) this package     : 2da3ba518ed15b90f45c4a6602bb31b95a3227da89fa9b2578da849dbe9e41ad
  CHECKSUM(SHA256) upstream package : 2da3ba518ed15b90f45c4a6602bb31b95a3227da89fa9b2578da849dbe9e41ad


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1293058
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Tom Hughes 2016-01-02 12:00:04 UTC
Needs fixdeps for d and minimatch.

Comment 3 Piotr Popieluch 2016-01-02 22:40:28 UTC
Thank you, updated

Comment 4 Tom Hughes 2016-01-03 00:27:12 UTC
Looks good now.

Comment 5 Gwyn Ciesla 2016-01-03 15:54:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-fs2

Comment 6 Fedora Update System 2016-01-03 17:33:55 UTC
nodejs-fs2-0.2.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa251adeb2

Comment 7 Fedora Update System 2016-01-03 17:34:13 UTC
nodejs-fs2-0.2.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-96ea5115f4

Comment 8 Fedora Update System 2016-01-03 17:45:21 UTC
nodejs-fs2-0.2.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-47eee51d4e

Comment 9 Fedora Update System 2016-01-04 20:22:02 UTC
nodejs-fs2-0.2.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-47eee51d4e

Comment 10 Fedora Update System 2016-01-04 20:52:08 UTC
nodejs-fs2-0.2.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96ea5115f4

Comment 11 Fedora Update System 2016-01-04 20:53:44 UTC
nodejs-fs2-0.2.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa251adeb2

Comment 12 Piotr Popieluch 2016-05-27 20:59:22 UTC
in f24 and rawhide


Note You need to log in before you can comment on or make changes to this bug.